package com.jxdinfo.hussar.core.bouncycastle.asn1.x9;

package .tmp;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObjectIdentifier;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.AUx;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.AuX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.Aux;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.COn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.CoN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.Con;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.NUL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.NUl;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.NuL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.Nul;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.Prn;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ECParameters;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ECParametersHolder;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ObjectIdentifiers;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.aUX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.aUx;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.auX;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.aux;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.cON;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.coN;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.con;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.nUL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.nUl;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.nuL;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.nul;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.prn;
import com.jxdinfo.hussar.core.bouncycastle.util.Strings;
import com.jxdinfo.hussar.core.util.CookieUtils;
import java.util.Enumeration;
import java.util.Hashtable;

public class X962NamedCurves {
  static X9ECParametersHolder M;
  
  static final Hashtable K;
  
  static X9ECParametersHolder E;
  
  static X9ECParametersHolder A;
  
  static X9ECParametersHolder b;
  
  static X9ECParametersHolder m;
  
  static X9ECParametersHolder f;
  
  static X9ECParametersHolder a;
  
  static X9ECParametersHolder H;
  
  static X9ECParametersHolder d;
  
  static X9ECParametersHolder l;
  
  static final Hashtable c;
  
  static X9ECParametersHolder L;
  
  static X9ECParametersHolder k;
  
  static X9ECParametersHolder g;
  
  static X9ECParametersHolder D = (X9ECParametersHolder)new auX();
  
  static X9ECParametersHolder h;
  
  static X9ECParametersHolder i;
  
  static X9ECParametersHolder I;
  
  static X9ECParametersHolder J;
  
  static X9ECParametersHolder F;
  
  static X9ECParametersHolder j;
  
  static X9ECParametersHolder G;
  
  static X9ECParametersHolder C;
  
  static X9ECParametersHolder e;
  
  static final Hashtable volatile;
  
  public static DERObjectIdentifier getOID(String a) {
    return (DERObjectIdentifier)K.get(Strings.toLowerCase(a));
  }
  
  public static X9ECParameters getByOID(DERObjectIdentifier a) {
    X9ECParametersHolder x9ECParametersHolder;
    if ((x9ECParametersHolder = (X9ECParametersHolder)c.get(a)) != null)
      return x9ECParametersHolder.getParameters(); 
    while (true)
      return null; 
  }
  
  public static Enumeration getNames() {
    return K.keys();
  }
  
  static void continue(String a, DERObjectIdentifier dERObjectIdentifier, X9ECParametersHolder x9ECParametersHolder) {
    c.put(dERObjectIdentifier, x9ECParametersHolder);
    volatile.put(dERObjectIdentifier, a);
  }
  
  public static String getName(DERObjectIdentifier a) {
    return (String)volatile.get(a);
  }
  
  static {
    l = (X9ECParametersHolder)new prn();
    G = (X9ECParametersHolder)new Aux();
    h = (X9ECParametersHolder)new CoN();
    a = (X9ECParametersHolder)new AUx();
    k = (X9ECParametersHolder)new Nul();
    F = (X9ECParametersHolder)new Con();
    f = (X9ECParametersHolder)new Prn();
    m = (X9ECParametersHolder)new aUX();
    d = (X9ECParametersHolder)new NuL();
    g = (X9ECParametersHolder)new nUl();
    E = (X9ECParametersHolder)new nul();
    H = (X9ECParametersHolder)new nuL();
    L = (X9ECParametersHolder)new COn();
    e = (X9ECParametersHolder)new cON();
    b = (X9ECParametersHolder)new nUL();
    I = (X9ECParametersHolder)new aux();
    J = (X9ECParametersHolder)new NUl();
    M = (X9ECParametersHolder)new AuX();
    j = (X9ECParametersHolder)new NUL();
    C = (X9ECParametersHolder)new coN();
    i = (X9ECParametersHolder)new con();
    A = (X9ECParametersHolder)new aUx();
    K = new Hashtable<Object, Object>();
    c = new Hashtable<Object, Object>();
    volatile = new Hashtable<Object, Object>();
    continue(ASN1StreamParser.strictfp("panyf!)1p$"), (DERObjectIdentifier)X9ObjectIdentifiers.prime192v1, D);
    continue(CookieUtils.throws("K\036U\006^]\037C\032\t"), (DERObjectIdentifier)X9ObjectIdentifiers.prime192v2, l);
    continue(ASN1StreamParser.strictfp("panyf!)1p&"), (DERObjectIdentifier)X9ObjectIdentifiers.prime192v3, G);
    continue(CookieUtils.throws("K\036U\006^^\025H\032\n"), (DERObjectIdentifier)X9ObjectIdentifiers.prime239v1, h);
    continue(ASN1StreamParser.strictfp("panyf\"#:p'"), (DERObjectIdentifier)X9ObjectIdentifiers.prime239v2, a);
    continue(CookieUtils.throws("K\036U\006^^\025H\032\b"), (DERObjectIdentifier)X9ObjectIdentifiers.prime239v3, k);
    continue(ASN1StreamParser.strictfp("panyf\"%5p$"), (DERObjectIdentifier)X9ObjectIdentifiers.prime256v1, F);
    continue(CookieUtils.throws("X^L\005Y]\020B\032\n"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb163v1, f);
    continue(ASN1StreamParser.strictfp("c!wza!&0p'"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb163v2, m);
    continue(CookieUtils.throws("X^L\005Y]\020B\032\b"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb163v3, d);
    continue(ASN1StreamParser.strictfp("c!wza!'5q$"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb176w1, g);
    continue(CookieUtils.throws("X^H\005Y]\037@\032\n"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb191v1, E);
    continue(ASN1StreamParser.strictfp("c!sza!)2p'"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb191v2, H);
    continue(CookieUtils.throws("X^H\005Y]\037@\032\b"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb191v3, L);
    continue(ASN1StreamParser.strictfp("c!wza\" ;q$"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb208w1, e);
    continue(CookieUtils.throws("X^H\005Y^\025H\032\n"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb239v1, b);
    continue(ASN1StreamParser.strictfp("c!sza\"#:p'"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb239v2, I);
    continue(CookieUtils.throws("X^H\005Y^\025H\032\b"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb239v3, J);
    continue(ASN1StreamParser.strictfp("c!wza\"'1q$"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb272w1, M);
    continue(CookieUtils.throws("X^L\005Y_\026E\033\n"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb304w1, j);
    continue(ASN1StreamParser.strictfp("c!sza#%:p$"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb359v1, C);
    continue(CookieUtils.throws("X^L\005Y_\020I\033\n"), (DERObjectIdentifier)X9ObjectIdentifiers.c2pnb368w1, i);
    continue(ASN1StreamParser.strictfp("c!sza$#2t$"), (DERObjectIdentifier)X9ObjectIdentifiers.c2tnb431r1, A);
  }
  
  public static X9ECParameters getByName(String a) {
    DERObjectIdentifier dERObjectIdentifier;
    if ((dERObjectIdentifier = (DERObjectIdentifier)K.get(Strings.toLowerCase(a))) != null)
      return getByOID(dERObjectIdentifier); 
    while (true)
      return null; 
  }
}
